<?php
	$data = $_GET;

	$created = date("Ymd\THis\Z");
	$random_number = uniqid(rand(), true);
	
	$title = $data['title'];
	$description = $data['desc'];
	$location = $data['loc'];
	$organizer = $data['org'];
	$org_email = '';
	$start_date = $data['start'];
	$end_date = $data['end'];
	
	header("Content-Type: text/Calendar");
	header("Content-Disposition: inline; filename=calendar.ics");
		
	echo "BEGIN:VCALENDAR\n";
	echo "PRODID:-//Microsoft Corporation//Outlook 12.0 MIMEDIR//EN\n";
	echo "VERSION:2.0\n";
	echo "METHOD:PUBLISH\n";
	echo "X-MS-OLK-FORCEINSPECTOROPEN:TRUE\n";
		
	echo "BEGIN:VEVENT\n";
	echo "CLASS:PUBLIC\n";
	echo "CREATED:$created\n";
	echo "DESCRIPTION:$description\n";
	echo "DTSTAMP:$start_date\n";
	echo "DTSTART:$start_date\n";
	echo "DTEND:$end_date\n";
	echo "ORGANIZER;CN=$organizer:mailto:$org_email\n";
	echo "LAST-MODIFIED:$created\n";
	echo "LOCATION:$location\n";
	echo "PRIORITY:5\n";
	echo "SEQUENCE:0\n";
	echo "SUMMARY;LANGUAGE=en-us:$title\n";
	echo "TRANSP:OPAQUE\n";
	echo "UID:$random_number\n";  // UID just needs to be some random number.  I used rand() in PHP.
	echo "X-MICROSOFT-CDO-BUSYSTATUS:BUSY\n";
	echo "X-MICROSOFT-CDO-IMPORTANCE:1\n";
	echo "X-MICROSOFT-DISALLOW-COUNTER:FALSE\n";
	echo "X-MS-OLK-ALLOWEXTERNCHECK:TRUE\n";
	echo "X-MS-OLK-AUTOFILLLOCATION:FALSE\n";
	echo "X-MS-OLK-CONFTYPE:0\n";

	echo "END:VEVENT\n";	
	echo "END:VCALENDAR\n";
?>