<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Plugin_Name
 * @subpackage Plugin_Name/admin/partials
 */


?>
<div class="wrap">
	<div class="alignleft adminForm">
		<h1>DynamicSync Settings</h1>
		<form action="" method="POST" class="frmDynamicSyncForm">
			<input type="hidden" name="id" value="<?php echo $settings->id ?>" />
				<p>Enter you DynamicSync API Key into the text box bellow:</p>
				
				<div class="dynamicsync_setting_field">
					<div class="dynamicsync_setting_field_label">DynamicSync API Key</div>
					<div class="dynamicsync_setting_field_field">
						<input placeholder="DynamicSync API Key" type="text" name="apiKey" id="apiKey" class="dynamicsync_textfield long" value="<?php echo $settings->api_key ?>"/>
					</div>
				</div>
				<div class="dynamicsync_setting_field">
					<div class="dynamicsync_setting_field_label">Default Registration Form URL:</div>
					<div class="dynamicsync_setting_field_field">
						<input type="text" name="regFormUrl" id="regFormUrl" class="dynamicsync_textfield long" value="<?php echo $settings->regFormUrl ?>"/>
					</div>
				</div>
			<input class="button button-primary" type="submit" value="Submit">
		</form>
	</div>
	<div class="alignright ">
		<?php /* ?><iframe src="https://fast.wistia.net/embed/iframe/9f8rptphw4?videoFoam=true" allowtransparency="true" frameborder="0" scrolling="no" class="wistia_embed" name="wistia_embed" allowfullscreen mozallowfullscreen webkitallowfullscreen oallowfullscreen msallowfullscreen width="640" height="360" align="center"></iframe><?php */ ?>
	</div>
</div>